/*
                                   )
                                  (.)
                                  .|.
                                  | |
                              _.--| |--._
                           .-';  ;`-'& ; `&.
                          \   &  ;    &   &_/
                           |"""---...---"""|
                           \ | | | | | | | /
                            `---.|.|.|.---'

 * This file is generated by bake.lang.c for your convenience. Headers of
 * dependencies will automatically show up in this file. Include bake_config.h
 * in your main project file. Do not edit! */

#ifndef FARCRY_SDK_BAKE_CONFIG_H
#define FARCRY_SDK_BAKE_CONFIG_H

/* Headers of public dependencies */
#include <flecs.h>
#include <flecs_math.h>
#include <flecs_util.h>
#include <flecs_components_transform.h>
#include <flecs_components_geometry.h>
#include <flecs_components_graphics.h>
#include <flecs_components_input.h>
#include <flecs_systems_transform.h>
#include <flecs_components_meta.h>

/* Headers of private dependencies */
#ifdef FARCRY_SDK_IMPL
/* No dependencies */
#endif

/* Convenience macro for exporting symbols */
#ifndef FARCRY_SDK_STATIC
  #if FARCRY_SDK_IMPL && (defined(_MSC_VER) || defined(__MINGW32__))
    #define FARCRY_SDK_EXPORT __declspec(dllexport)
  #elif FARCRY_SDK_IMPL
    #define FARCRY_SDK_EXPORT __attribute__((__visibility__("default")))
  #elif defined _MSC_VER
    #define FARCRY_SDK_EXPORT __declspec(dllimport)
  #else
    #define FARCRY_SDK_EXPORT
  #endif
#else
  #define FARCRY_SDK_EXPORT
#endif

#endif

